#include "DemoAgent.h"

#include <boost/shared_ptr.hpp>

int main(int argc, char *argv[])
{
    UNUSED(argc);
    UNUSED(argv);

    typedef boost::shared_ptr<DemoAgent> DemoAgentPtr;

    DemoAgentPtr dagent = DemoAgentPtr(new DemoAgent());

    UNUSED(dagent);
    getchar(); //< Press Enter to agent finished
}
